package com.qqchen.deploy.backend.framework.exception;

import com.qqchen.deploy.backend.framework.enums.ResponseCode;
import java.io.Serializable;

public class EntityNotFoundException extends BusinessException {
    
    public EntityNotFoundException(Serializable id) {
        super(ResponseCode.DATA_NOT_FOUND, new Object[]{id});
    }
    
    public EntityNotFoundException(String message) {
        super(ResponseCode.DATA_NOT_FOUND, new Object[]{message});
    }
    
    public EntityNotFoundException(String entityName, Serializable id) {
        super(ResponseCode.DATA_NOT_FOUND, new Object[]{entityName, id});
    }
} 